Gå til hovedinnhold

Retrieve information regarding properties transactions

GET 

/transaction/information

Transaction Information Endpoint

Overview

This API retrieves transaction information of properties.

It supports only batch downloads at the moment with an optional date range.

The API provides detailed information about property transactions and related metadata

This API is particularly useful for applications that require historical transaction data, or property-related research and analysis.

Example Requests

curl -X 'GET' \
'https://apis.propcloud.no/api/public/transaction/information?batch-id=1' \
-H 'accept: application/json' \
-H 'api-key: YOUR_API_KEY'

Response Description

KeyDescriptionBeskrivelseSource
transferOfRegistryUnitRightIdUnique identifier for the transaction.
The field is called RettsstiftelseId in Grunnboken with the Norwegian Mapping Authority
Unik identifikator for transaksjonen.
Feltet heter RettsstiftelseId i Grunnboken hos Kartverket
Kartverket
registryUnitRightIdUnique identifier for the registry unit right.
The field is called RegisterenhetsrettId in Grunnboken with the Norwegian Mapping Authority
Unik identifikator for registerenhetsretten.
Feltet heter RegisterenhetsrettId i Grunnboken hos Kartverket
Kartverket
registryUnitIdUnique identifier for the registry unit.
The field is called RegisterenhetId in Grunnboken
Unik identifikator for registerenheten.
Feltet heter RegisterenhetId i Grunnboken hos Kartverket
Kartverket
propertyIdUnique identifier for the property.Unik identifikator for eiendommen.
Feltet heter MatrikkelenhetId i Matrikkelen hos Kartverket
Kartverket
propertyIdNmaUnique identifier for the property, generated by PropCloud based on:
city number, ground number, usage number, lease number, and section number
Unik identifikator for eiendommen generert av PropCloud basert paa:
kommunenummer, gaardsnummer, bruksnummer, festenummer og seksjonsnummer
PropCloud
propertyIdNmaMainIf the object in question is a section or housing association unit, this field gives the main property the object is tied toHvis objektet er en seksjon eller borettslagsenhet, gir dette feltet hoved-eiendommen som objektet er knyttet tilPropCloud
housingAssociationIdNmaUnique identifier for the housing association unit, formatted as organization number-share number, i.e. "924758716-4"Unik identifikator for borettslagsandelen, formatert som organisasjonsnummer-andelsnummer, i.e. "924758716-4"PropCloud
dateThe date when the transaction took placeDato for naar transaksjonen fant stedKartverket
historicalBoolean value. "True" if there are more recent transactions present for the object, "False" if this is the latest transactionBoolean-verdi. "True" hvis det finnes nyere transaksjoner for objektet, "False" hvis dette er den siste transaksjonenKartverket
soldOnTheOpenMarketBoolean value. "True" if the property was sold on the open market, otherwise "FalseBoolean-verdi. "True" hvis eiendommen ble solgt paa det aapne markedet, ellers "False"Kartverket
transactionPriceHow much the property was sold forHvor mye eiendommen ble solgt forKartverket
transactionTypeCodeNameType of transaction, i.e. "Fritt salg", "Tvangssalg" etc.Transaksjonstype, for eksempel "Fritt salg", "Tvangssalg" etc.Kartverket
registryUnitRightTypeCodeNameType of registry unit right.Type registerenhetsrett.Kartverket
propertyCountNumber of registry units transferred in the transactionAntall registerenheter overfort i transaksjonenKartverket
batchIdUnique identifier for the batchUnik identifikator for batchenPropCloud

Request

Responses

Successful Response